#ifndef FileSystemIcons_h
#define FileSystemIcons_h

// $Id: FileSystemIcons.h,v 1.12 2013/04/29 18:27:13 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include <QString>
#include "BaseIcons.h"

//! namespace for icon static name wrappers
namespace ICONS
{

    static const QString DOCUMENT = "application-x-zerosize.png";
    static const QString FOLDER = "folder.png";

    static const QString PARENT = "go-up.png";
    static const QString PREVIOUS_DIRECTORY = "go-previous.png";
    static const QString NEXT_DIRECTORY = "go-next.png";
    static const QString HOME = "go-home.png";

};

#endif
